OpenNMS API 1.2.9

## org.opennms.core.fiber
Interface InitializableFiber

All Superinterfaces:
  Fiber

All Known Subinterfaces:
  EventReceiver

All Known Implementing Classes:
  TcpEventReceiver, UdpEventReceiver

public interface InitializableFiber
extends Fiber

This class is used to extend the `Fiber` interface so that is has a concept of a life cycle. Prior to starting the fiber the `init` method will be invoked. Likewise, prior to garbage collection the `destroy` method should be invoked.

Author:
  Brian Weaver , OpenNMS

Field Summary

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Method Summary
`void` `destroy()` This method is used to stop a currently running `Fiber`.
`void` `init()` This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.

Methods inherited from interface org.opennms.core.fiber.Fiber
`getName, getStatus, start, stop`

Method Detail

### init

    public void init()

  This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.

### destroy

    public void destroy()

  This method is used to stop a currently running `Fiber`. Once invoked the `Fiber` should begin it's shutdown process. Depending on the implementation, this method may block until the `Fiber` terminates.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.